<template>
  <div>
    <h1 class="title">Hello!</h1>
    <repeatable-component v-bind:title="pageTitle">
      <p>This is the Home page description</p>
    </repeatable-component>

    <!-- <form class="form-class" action="">
      <input type="text" v-model="firstName"><br>
      <input type="text" v-model="lastName"><br>
      {{greeting}}
      <p>Your age is {{age}}</p>
      <button @click="incrementAge"> Make me older</button>
    </form> -->

    <ul>
      <li v-for="(todo, index) in todos" :key="index">
        <router-link :to="'todo/'+todo.id">{{todo.title}}</router-link>
        {{index}}
      </li>
    </ul>

  </div>
</template>

<script>
import repeatableComponent from "../components/repeatableComponent";

export default {
  components:{
    repeatableComponent
  },
  data(){
    return{
      pageTitle : "Home Page title!",
      firstName: "",
      lastName: "",
      age:0,
      todos:[]
    }
  },
  computed:{
    greeting(){
      return `Hello, ${this.firstName} ${this.lastName}!`;
    }
  },

  methods:{
    incrementAge(){
      return this.age++;
    },
    getTodos(){
      this.axios.get("https://jsonplaceholder.typicode.com/todos").then(( {data})=>{
        this.todos = data;
      })
    }
  },
  mounted(){
    this.pageTitle = "Another title"
    this.getTodos();
  }
}
</script>

<style lang="scss" scoped>
  .title{
    color: red;
  }
  .form-class{
    input{
      padding: 10px;
      margin-bottom: 10px;
    }
  }
</style>